Follow

Velocify LeadManager Technical Requirements

Browsers

  • Internet Explorer 9.0 or above
  • Latest version of Firefox (Firefox updates automatically to the most recent version)
  • Latest version of Chrome (Chrome updates automatically to the most recent version)

For the supported browsers above, please ensure that your browser is set to accept cookies and that Javascript is enabled. While we do not formally test our products on Mac OS, we have not seen issues with LeadManager using Safari or other browsers on Mac OS. 

Computer Operating System Requirements 

  • Windows XP SP3
  • Windows Vista
  • Windows 7
  • Windows 8 

While we do not formally test on Mac OS, we have not seen issues with users using LeadManager on Mac OS X 10.5 or above.

Flash Player

Minimum Flash Player 7 or above.

Softphone Software

  • Flash Player 10.1+ (10.3.183.5 or higher for Mac OS X Lion)
  • Google Chrome 11+, Internet Explorer 7+, Safari 5+, and Firefox 3.6+
  • JavaScript and Flash must be enabled
  • User must grant permission for Flash to access audio controls
  • Firewall should be set to allow RTMP, TCP and HTTP traffic on the following ports: 1935, 843, 80 and 443 

Monitor Resolution

To ensure proper rendering of LeadManager on your supported browser, we recommend that your monitor be set to a minimum resolution of 1280 x 1024 pixels or above

Internet Connectivity & Bandwidth

For LeadManager users, we recommend an Internet connection that supports a minimum 100kbps per user (both upload and download).

For LeadManager users with Dial-IQ enabled, we recommend an Internet connection that supports a minimum 200kbps per user (both upload and download) when utilizing a softphone or a VoIP desk phone. Note that this requirement does not apply when using a traditional landline or a cell phone.

If Dial-IQ is being used with a traditional landline, 1 available inbound line per active user is required. Dial-IQ will place one inbound call per agent in order to initiate an outbound dial to the lead.

Standard USB headsets should work with the Dial-IQ softphone.  We recommend using an echo-suppression-enabled headset for best results.

Technical Support

Our Quality Assurance team constantly tests our products to ensure that all features are supported by the minimum technical requirements detailed above. Other system configurations may work, but are not formally supported or tested by Velocify. 

 Should you have any questions or require further details, please do not hesitate to contact our Velocify Support Team.  Hours are Monday-Friday, from 6 am to 6pm Pacific .

 Phone: (888) 843 - 1777

 Email:  support@velocify.com

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk